Bug 14714 - koha-mysql tab-completion in bash
Summary: koha-mysql tab-completion in bash
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12372
Blocks: 14727
  Show dependency treegraph
 
Reported: 2015-08-24 18:43 UTC by Tomás Cohen Arazi
Modified: 2016-12-05 21:22 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14714: Add tab-completion to koha-mysql command (1.69 KB, patch)
2015-08-24 18:47 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
[SIGNED OFF] Bug 14714: Add tab-completion to koha-mysql command (1.76 KB, patch)
2015-08-24 20:04 UTC, Nick Clemens
Details | Diff | Splinter Review
[PASSED QA] Bug 14714: Add tab-completion to koha-mysql command (1.83 KB, patch)
2015-08-25 14:57 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2015-08-24 18:43:21 UTC
The koha-mysql script lacks tab-completion in bash which would be handy. It should complete using only one valid instance name.
Comment 1 Tomás Cohen Arazi 2015-08-24 18:47:56 UTC Comment hidden (obsolete)
Comment 2 Nick Clemens 2015-08-24 20:04:30 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2015-08-25 14:57:32 UTC
Created attachment 41928 [details] [review]
[PASSED QA] Bug 14714: Add tab-completion to koha-mysql command

This patch introduces tab-completion in bash to the koha-mysql
command. It completes using valid instance names. It stops completing
once an instance name is chosen (i.e. it respects the fact that
koha-mysql accepts only one instance name as parameter).

To test:
- Have a packages install (kohadevbox works)
- Run:
  $ . debian/koha-common.bash-completion
- Type
  koha-mysql <tab>
=> SUCCESS: You are prompted valid instance names for completion.
- Sign off :-D

Signed-off-by: Nick Clemens <nick@quecheelibrary.org>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2015-08-26 14:12:10 UTC
Patch pushed to master.